import { Component, h } from "preact";
import { Router } from "preact-router";
import Header from "./header";
import Login from "../routes/login";
import Profile from "../routes/profile";
import Menu from "./menu";
import Users from "../routes/users";
import { useCallback, useState } from "preact/hooks";
import { AppData, Provider, Consumer } from '../utils'
const App = () => {
  const appdata = AppData();
  let session = appdata.get("Session");
  //session.sub(forceUpdate);
  const toggleMenu = () => {

    const [visible, setValue] = useState(false);
    const toggle = useCallback(() => {
      setValue(!visible);
      return !visible;
    }, [visible]);
    return { visible, toggle };
  }



  const menu = toggleMenu();
  return (

    <Provider appdata={appdata} >
      <div id="wrapper">
        <Consumer datapath="Session">
          {(appdata) => {
            console.log(appdata);
          }}
        </Consumer>
        <Header menu={menu} />
        <Menu menu={menu} />
        {!menu.visible &&
          (!session.data || session.data.username === '' ? (
            <Login  />
          ) : (
            <div class="page">
              <Router>
                <Profile path="/test/" user="me" />
                <Profile path="/profile/:user" />
                <Users path="/users" />
                <div class="container" default>Error 404</div>
              </Router>
            </div>
          ))}
      </div>
    </Provider>
  );

}

export default App;
