import { Component, h } from 'preact';
import { Link } from 'preact-router';
class Menu extends Component {

    menu_items = [
        { text: "Übersicht", path: "/" },
        { text: "Benutzer", path: "/users" },
        { text: "System", path: "/system" },
        { text: "Backup", path: "/backup" },
        { text: "Abmelden", path: "/logout" }
    ]

    getAlert() {
        alert("getAlert from Child");
    }
    onClick = (e) => {
        e.preventDefault();
        this.props.menu.toggle();
    }
    render(props, state) {
        if (props.menu.visible)
            return (
                <div class="container" >
                    <nav className='menu' >
                        <ul>
                            <li><Link href="/test"  >Test</Link></li>
                            {this.menu_items.map((element, i) => (<li key={i}><Link href={element.path} onClick={this.onClick} >{element.text}</Link></li>))}
                        </ul>
                    </nav>

                </div>)
    }
}

export default Menu;