import { h } from 'preact';
import { useState } from 'preact/hooks';

import Breadcrumbs from '../../components/breadcrumbs';

const Login = (props,ctx) => {
    const [val,set] = useState({ username: '', password: '' });
    const navigation = ["Login"];
    const session = ctx.get('Session');
    function onSubmit (e) {
        e.preventDefault();
        session.data = val;
        console.log(session.data);
        set({username: '', password: '' });
    }

    return (<div id="login-screen" class="page">
        <div class="container">
            <Breadcrumbs items={navigation} />

            <form id="login_form" onSubmit={onSubmit} >
                <p>
                    Bitte melden Sie sich mit ihren Nutzerdaten an.
                </p>
                <div class="input-box">
                    <input id="name" type="text" placeholder="Username" onInput={e => set( {...val, username: e.target.value} )} value={val.username} />
                    <label for="name">Benutzername</label>
                </div>
                <div class="input-box">
                    <input id="pass" type="password" placeholder="Passwort" onInput={e => set( {...val, password: e.target.value} )} value={val.password} />
                    <label for="pass">Password</label>
                </div>
                <input type="submit" value="Submit" />

            </form>
        </div>
    </div>);

}

export default Login;