

function subscribe (f) {
    if ('function' !== typeof (f))
        throw new Error("Subscriber needs to be a function.");
    this.observers.push(f);
    return () => { this.observers.splice(this.observers.indexOf(f), 1) }
}
function getStore(path){
    let path_slices = path.split("/");
    let current=this;
    for(let s of path_slices){
        if(!(s in current.tree))
            current.tree[s] = new ObservableData();
        current = current.tree[s];
    }
    return current;
}
function ObservableData() {
    this.observers = [];
    this.tree = {};
    this._data = {};
    const dispatchChange = () => {
        this.observers.map(o => o());
    }
    return {
        tree:this.tree,
        sub: subscribe.bind(this),
        get: getStore.bind(this),
        get data() {
            return this._data;
        },
        set data(val) {
            this._data = val;
            dispatchChange();
        },

    }
}
export default ObservableData;